Subject: Re: [PATCH] diff: ensure consistent diff behavior with -I<regex> across output formats

From: Junio C Hamano <[email-masked]>
Date: Sun, 03 Aug 2025 21:39:21 -0700

Jeff King <[email-masked]> writes:

> .... It affects all of raw, name-only,
> name-status, and checkdiff. I know Junio said that --raw should not be
> affected, but I'm not sure I agree.

I no longer am sure if I agree.  I do not mind a raw entry that
would show different object name for preimage and postimage for a
path to be omitted when --ignore-whatever is passed and the blobs
compare "equal" under the specified "ignore" criteria.

The behaviour sounds somewhat incoherent, but that is what the user,
who passes both --raw and --ignore-whatever to the command at the
same time, wants.